Package oracle.kv.table

# Interface LongDef

All Superinterfaces:
  `FieldDef`

public interface LongDef extends FieldDef
LongDef is an extension of `FieldDef` to encapsulate a Long. It adds a minimum and maximum value range and type. Minimum and maximum are always inclusive.

Since:
  3.0

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface oracle.kv.table.FieldDef

  `FieldDef.Type`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LongDef`
  `clone()`
  Perform a deep copy of this FieldDef instance.
  `Long`
  `getMax()`
  Deprecated.
  as of release 4.0 it is no longer possible to specify ranges on Long types.
  `Long`
  `getMin()`
  Deprecated.
  as of release 4.0 it is no longer possible to specify ranges on Long types.

  ### Methods inherited from interface oracle.kv.table.FieldDef

  `asAny, asAnyAtomic, asAnyJsonAtomic, asAnyRecord, asArray, asBinary, asBoolean, asDouble, asEnum, asFixedBinary, asFloat, asInteger, asJson, asLong, asMap, asNumber, asRecord, asString, asTimestamp, createArray, createBinary, createBoolean, createDouble, createEnum, createFixedBinary, createFloat, createInteger, createJsonNull, createLong, createMap, createNumber, createNumber, createNumber, createNumber, createNumber, createRecord, createString, createTimestamp, getDescription, getType, isAny, isAnyAtomic, isAnyJsonAtomic, isAnyRecord, isArray, isAtomic, isBinary, isBoolean, isComplex, isDouble, isEnum, isFixedBinary, isFloat, isInteger, isJson, isLong, isMap, isMRCounter, isNumber, isNumeric, isPrecise, isRecord, isString, isTimestamp, isType, isUUIDString, isValidIndexField, isValidKeyField`

- ## Method Details

  - ### getMin

    @Deprecated Long getMin()
    Deprecated.
    as of release 4.0 it is no longer possible to specify ranges on Long types.
    Returns:
      the minimum value for the instance if defined, otherwise null

  - ### getMax

    @Deprecated Long getMax()
    Deprecated.
    as of release 4.0 it is no longer possible to specify ranges on Long types.
    Returns:
      the maximum value for the instance if defined, otherwise null

  - ### clone

    LongDef clone()
    Description copied from interface: `FieldDef`
    Perform a deep copy of this FieldDef instance.
    Specified by:
      `clone` in interface `FieldDef`
    Returns:
      a deep copy of this object